variables: 
    REGISTRY: registry.gitlab.com/dm.yellowdog/project1

stages:
    - build
    - deploy

build_docker_image:
    stage: build
    image: docker:latest
    services:
    - docker:dind
    script:
        - docker login -u $USER -p $PASSWD registry.gitlab.com
        - docker image build -t $REGISTRY:$CI_COMMIT_REF_NAME .
        - docker push $REGISTRY:$CI_COMMIT_REF_NAME

deploy_docker_image_to_openshift:
    stage: deploy
    image: widerin/openshift-cli
    script:
      - oc login --token=$OPENSHIFT_TOKEN --server=$OPENSHIFT_SERVER
      - sh ./scripts/create_objects_from_template.sh
